# Class AlphaMonomer

java.lang.Object
org.jmol.modelset.Group
org.jmol.modelsetbio.Monomer
org.jmol.modelsetbio.AlphaMonomer

All Implemented Interfaces:
  `Structure`

Direct Known Subclasses:
  `AminoMonomer`

public class AlphaMonomer extends Monomer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected P3`
`nitrogenHydrogenPoint`
`ProteinStructure`
`proteinStructure`

### Fields inherited from class Monomer

`backboneBlockVis, bioPolymer, offsets`

### Fields inherited from class Group

`chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList, strutPoint`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AlphaMonomer()`

## Method Summary

Modifier and Type
Method
Description
`final Atom`
`getAtom(byte specialAtomID)`
`final P3`
`getAtomPoint(byte specialAtomID)`
`Object`
`getHelixData(int tokType, char qType, int mStep)`
`STR`
`getProteinStructureSubType()`
`STR`
`getProteinStructureType()`
/////////////////////////////////////////////////////////////
`Quat`
`getQuaternion(char qType)`
`protected Quat`
`getQuaternionAlpha(char qType)`
`protected P3`
`getQuaternionFrameCenterAlpha(char qType)`
`int`
`getStrucNo()`
`Structure`
`getStructure()`
`boolean`
`isHelix()`
`boolean`
`isProtein()`
group ID-based definition
`boolean`
`isSheet()`
`boolean`
`isWithinStructure(STR type)`
`int`
`setProteinStructureType(STR type, int monomerIndexCurrent)`
`void`
`setStrucNo(int n)`

### Methods inherited from class Monomer

`checkOptional, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getLeadAtom, getMonomerIndex, getMyInfo, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getStructureId, getUniqueID, getWingAtom, have, isConnectedPrevious, isCrossLinked, isLeadAtom, scanForOffsets, set2, setGroupID, setLeadAtomIndex, toString, updateOffsetsForAlternativeLocations`

### Methods inherited from class Group

`addAtoms, fixIndices, getBSSideChain, getCarbonylOxygenAtom, getGroup3, getGroupInfo, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getNitrogenAtom, getProteinStructureTag, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, haveSequenceNumber, isAdded, isCarbohydrate, isCursorOnTopOf, isDna, isDnaByID, isNucleic, isNucleicMonomer, isPurine, isPurineByID, isPyrimidine, isPyrimidineByID, isRna, isRnaByID, isSelected, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setResno, setShapeVisibility, unsetStrutPoint`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### proteinStructure

public ProteinStructure proteinStructure

### nitrogenHydrogenPoint

protected P3 nitrogenHydrogenPoint

## Constructor Details

### AlphaMonomer

protected AlphaMonomer()

## Method Details

### isProtein

public boolean isProtein()
Description copied from class: `Group`
group ID-based definition

Overrides:
  `isProtein` in class `Group`
Returns:
  boolean

### getStructure

public Structure getStructure()

Overrides:
  `getStructure` in class `Group`

### setStrucNo

public void setStrucNo(int n)

Overrides:
  `setStrucNo` in class `Monomer`
Parameters:
  `n` -

### getProteinStructureType

public STR getProteinStructureType()
Description copied from class: `Monomer`
/////////////////////////////////////////////////////////////

Overrides:
  `getProteinStructureType` in class `Monomer`

### getProteinStructureSubType

public STR getProteinStructureSubType()

Overrides:
  `getProteinStructureSubType` in class `Group`

### getStrucNo

public int getStrucNo()

Overrides:
  `getStrucNo` in class `Group`

### isHelix

public boolean isHelix()

Overrides:
  `isHelix` in class `Monomer`

### isSheet

public boolean isSheet()

Overrides:
  `isSheet` in class `Monomer`

### setProteinStructureType

public int setProteinStructureType(STR type, int monomerIndexCurrent)

Overrides:
  `setProteinStructureType` in class `Group`
Parameters:
  `type` -
  `monomerIndexCurrent` - a pointer to the current ProteinStructure
Returns:
  a pointer to this ProteinStructure

### getAtom

public final Atom getAtom(byte specialAtomID)

### getAtomPoint

public final P3 getAtomPoint(byte specialAtomID)

### isWithinStructure

public boolean isWithinStructure(STR type)

Overrides:
  `isWithinStructure` in class `Group`
Parameters:
  `type` -
Returns:
  T/F

### getQuaternionFrameCenterAlpha

protected P3 getQuaternionFrameCenterAlpha(char qType)

### getHelixData

public Object getHelixData(int tokType, char qType, int mStep)

Overrides:
  `getHelixData` in class `Group`
Parameters:
  `tokType` -
  `qType` -
  `mStep` -
Returns:
  helix data of some sort

### getQuaternion

public Quat getQuaternion(char qType)

Overrides:
  `getQuaternion` in class `Group`
Parameters:
  `qType` -
Returns:
  quaternion

### getQuaternionAlpha

protected Quat getQuaternionAlpha(char qType)